Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.connection
Class InjectedDataSourceConnectionProvider

    java.lang.Object
      org.hibernate.connection.DatasourceConnectionProvider
          org.hibernate.ejb.connection.InjectedDataSourceConnectionProvider

All Implemented Interfaces:
  org.hibernate.connection.ConnectionProvider

    public class InjectedDataSourceConnectionProvider

extends org.hibernate.connection.DatasourceConnectionProvider

A connection provider that uses an injected `DataSource`. Setters has to be called before configure()

Author:
  Emmanuel Bernard
See Also:
  `ConnectionProvider`

Constructor Summary
`InjectedDataSourceConnectionProvider()`

Method Summary
`void` | `configure(java.util.Properties props)`
`java.sql.Connection` | `getConnection()`
`void` | `setDataSource(javax.sql.DataSource ds)`

Methods inherited from class org.hibernate.connection.DatasourceConnectionProvider
`close, closeConnection, getDataSource, supportsAggressiveRelease`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectedDataSourceConnectionProvider

    public InjectedDataSourceConnectionProvider()

Method Detail

### setDataSource

    public void setDataSource(javax.sql.DataSource ds)

  Overrides:
    `setDataSource` in class `org.hibernate.connection.DatasourceConnectionProvider`

### configure

    public void configure(java.util.Properties props)
                   throws org.hibernate.HibernateException

  Specified by:
    `configure` in interface `org.hibernate.connection.ConnectionProvider`
  Overrides:
    `configure` in class `org.hibernate.connection.DatasourceConnectionProvider`
  Throws:
    `org.hibernate.HibernateException`

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    `getConnection` in interface `org.hibernate.connection.ConnectionProvider`
  Overrides:
    `getConnection` in class `org.hibernate.connection.DatasourceConnectionProvider`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD